import { Suspense } from 'react';
import { Center, Spinner } from '@chakra-ui/react';
import MainAppWrapper from './components/MainAppWrapper';

export default function Home() {
  return (
    <Suspense
      fallback={
        <Center h="100vh">
          <Spinner size="xl" />
        </Center>
      }
    >
      <MainAppWrapper />
    </Suspense>
  );
} 